## shadowsocks-qt5 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(Shadowsocks-Qt5
        VERSION 3.0.1
        LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

find_package(Qt5Core)
find_package(Qt5Gui)
find_package(Qt5Widgets)
find_package(Qt5Network)
if(UNIX AND NOT APPLE)
    find_package(Qt5DBus)
endif()
find_package(PkgConfig)

pkg_check_modules(QSS REQUIRED QtShadowsocks>=2.0.0)
find_library(QSS_LIBRARY_VAR
    NAMES ${QSS_LIBRARIES}
    HINTS ${QSS_LIBRARY_DIRS} ${QSS_LIBDIR})

pkg_check_modules(QRENCODE REQUIRED libqrencode)
find_library(QRENCODE_LIBRARY_VAR
    NAMES ${QRENCODE_LIBRARIES}
    HINTS ${QRENCODE_LIBRARY_DIRS} ${QRENCODE_LIBDIR})

pkg_check_modules(ZBAR REQUIRED zbar)
find_library(ZBAR_LIBRARY_VAR
    NAMES ${ZBAR_LIBRARIES}
    HINTS ${ZBAR_LIBRARY_DIRS} ${ZBAR_LIBDIR})

if(WIN32 OR APPLE)
    add_definitions(-DFD_SETSIZE=1024)
endif()

add_subdirectory(src)

=== src/CMakeLists.txt ===
set(APP_NAME "ss-qt5")
add_definitions(-DAPP_VERSION="${PROJECT_VERSION}")

set(SOURCE
    icons.qrc
    translations.qrc
    main.cpp
    mainwindow.cpp
    ip4validator.cpp
    portvalidator.cpp
    ssvalidator.cpp
    qrwidget.cpp
    sharedialog.cpp
    editdialog.cpp
    connection.cpp
    confighelper.cpp
    urihelper.cpp
    uriinputdialog.cpp
    sqprofile.cpp
    settingsdialog.cpp
    statusnotifier.cpp
    connectiontablemodel.cpp
    connectionitem.cpp
    qrcodecapturer.cpp
    )

if (WIN32)
    list(APPEND SOURCE ss-qt5.rc)
endif()

add_executable(${APP_NAME} WIN32 ${SOURCE})

target_link_libraries(${APP_NAME}
    PUBLIC Qt5::Core
    PUBLIC Qt5::Gui
    PUBLIC Qt5::Widgets
    PUBLIC Qt5::Network
    PRIVATE ${QSS_LIBRARY_VAR}
    PRIVATE ${QRENCODE_LIBRARY_VAR}
    PRIVATE ${ZBAR_LIBRARY_VAR})
target_include_directories(${APP_NAME}
    PRIVATE ${QSS_INCLUDE_DIRS}
    PRIVATE ${QRENCODE_INCLUDE_DIRS}
    PRIVATE ${ZBAR_INCLUDE_DIRS})

if (UNIX AND NOT APPLE)
    target_link_libraries(${APP_NAME} PRIVATE Qt5::DBus)
endif()

install(TARGETS ${APP_NAME}
    RUNTIME DESTINATION bin)

if (UNIX)
    install(FILES shadowsocks-qt5.desktop DESTINATION share/applications)
    install(FILES icons/shadowsocks-qt5.png DESTINATION share/icons/hicolor/512x512/apps)
endif()

=== debian/changelog ===
shadowsocks-qt5 (3.0.1-2) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/control: Limit supported Qt version to >= 5.6
    to reflect the requirement of patch (fix for upstream issue #169).

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Nov 2018 19:42:00 -0500

shadowsocks-qt5 (3.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #908825)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 10:27:33 -0400

=== debian/control ===
Source: shadowsocks-qt5
Section: net
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Debian Bridges Team <team+bridges@tracker.debian.org>,
 Roger Shimizu <rosh@debian.org>,
Build-Depends:
 cmake (>= 3.1~),
 debhelper (>= 11),
 libqrencode-dev,
 libqtshadowsocks-dev (>= 2.0.0),
 libzbar-dev,
 pkg-config,
 qtbase5-dev (>= 5.6),
Standards-Version: 4.2.1
Homepage: https://github.com/shadowsocks/shadowsocks-qt5
Vcs-Git: https://salsa.debian.org/bridges-team/shadowsocks-qt5.git
Vcs-Browser: https://salsa.debian.org/bridges-team/shadowsocks-qt5

Package: shadowsocks-qt5
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Cross-platform shadowsocks GUI client
 Shadowsocks-Qt5 is a native and cross-platform shadowsocks client with GUI,
 tray icon support and many advanced features. It can communicate with servers
 using shadowsocks protocol to bypass firewalls and encrypt data transmission.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing
